import { request } from '../../utils/request';

// 筑农专区分类
export function getSortList(data) {
  return request({
    url: `/sgyrdd/category/znList`,
    method: 'GET',
    data,
  });
}

// 预售板块轮播图
export function getPresaleList(data) {
  return request({
    url: `/sgyrdd/carousel/presaleList`,
    method: 'GET',
    data,
  });
}

// 筑农严选分类
export function getStrictSelection(data) {
  return request({
    url: `/sgyrdd/category/getByParentId`,
    method: 'GET',
    data,
  });
}

// 筑农预售分类
export function categoryPresaleList(data) {
  return request({
    url: '/sgyrdd/category/presaleList',
    method: 'GET',
    data,
  });
}

// 筑农严选首页-分类预售商品列表
export function getPresaleCategory(data) {
  return request({
    url: `/sgyrdd/znprod/getPresaleCategoryProd`,
    method: 'GET',
    data,
  });
}

// 筑农严选首页-好货特卖商品列表
export function getGoodSaleProdList(data) {
  return request({
    url: `/sgyrdd/znprod/getGoodSaleProdList`,
    method: 'GET',
    data,
  });
}

// 筑农严选首页-分类查询商品列表
export function getPlatformProdList(data) {
  return request({
    url: `/sgyrdd/znprod/getPlatformProdList`,
    method: 'GET',
    data,
  });
}

// 筑农首页-分类查询商品列表
export function getPresaleProdList(data) {
  return request({
    url: `/sgyrdd/znprod/getPresaleProdList`,
    method: 'GET',
    data,
  });
}
